Bug 20450 - Add collection to list of items when placing hold on specific copy
Summary: Add collection to list of items when placing hold on specific copy
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-20 08:41 UTC by Stuart Johnson
Modified: 2018-11-08 15:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20450: Add collection to item table when placing a hold on a specific copy (Intranet) (3.47 KB, patch)
2018-08-09 22:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC) (4.84 KB, patch)
2018-08-09 22:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
screenshot of the OPAC results (116.41 KB, image/jpeg)
2018-09-15 20:39 UTC, Spencer
Details
Bug 20450: Add collection to item table when placing a hold on a specific copy (Intranet) (3.49 KB, patch)
2018-09-16 01:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC) (4.87 KB, patch)
2018-09-16 01:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC) (4.92 KB, patch)
2018-09-27 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20450: (follow-up) Add missing template filters (2.51 KB, patch)
2018-09-27 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20450: Add collection to item table when placing a hold on a specific copy (Intranet) (3.54 KB, patch)
2018-09-28 18:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC) (4.92 KB, patch)
2018-09-28 18:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20450: (follow-up) Add missing template filters (2.51 KB, patch)
2018-09-28 18:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20450: (follow-up) Add missing template filters (2.57 KB, patch)
2018-09-30 12:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20450: Add collection to item table when placing a hold on a specific copy (Intranet) (3.61 KB, patch)
2018-10-12 15:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC) (4.99 KB, patch)
2018-10-12 15:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20450: (follow-up) Add missing template filters (2.64 KB, patch)
2018-10-12 15:09 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Johnson 2018-03-20 08:41:29 UTC
When on the screen where we can place holds on specific copies of a title, we'd like to add the 'Collection' field as a column so our staff can identify Hardback or Paperback copies
Comment 1 Katrin Fischer 2018-08-09 22:15:00 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2018-08-09 22:15:04 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2018-08-09 22:15:48 UTC
Separate patches as the initial request was for staff, but I think useful in the OPAC too.
Comment 4 Spencer 2018-09-15 20:39:37 UTC
Created attachment 78888 [details]
screenshot of the OPAC results

The staff interface works as planned.  The OPAC does not.  The attached image shows the problem.  This text that shows in the results is:

<<<<<<< HEAD ======= >>>>>>> Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC) <<<<<<< HEAD ======= >>>>>>> Bug 20450: Add collection to item table when placing a hold on
Comment 5 Katrin Fischer 2018-09-16 01:12:10 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2018-09-16 01:12:14 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2018-09-16 01:12:43 UTC
Rebased and ready for testing!
Comment 8 Owen Leonard 2018-09-27 15:39:02 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2018-09-27 15:41:15 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2018-09-27 21:46:12 UTC
Hi Owen,

strangely your follow-up doesn't apply for me:

Applying: Bug 20450: (follow-up) Add missing template filters
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/reserve/request.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 20450: (follow-up) Add missing template filters
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-20450-follow-up-Add-missing-template-filters-z1lB0g.patch

Can you help me out?
Comment 11 Owen Leonard 2018-09-28 18:39:34 UTC
Created attachment 79604 [details] [review]
Bug 20450: Add collection to item table when placing a hold on a specific copy (Intranet)

This patch adds a new collection column to the item table when selecting
a specific item for a hold. The column will only appear if at least
one item has a collection set.

To test, in staff:
- Place a specific hold on
  - a record with one or more items with collections
  - a record with one or more items without collections
- Verify the collections display correctly when they exist
- Verify the table still works as expected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 12 Owen Leonard 2018-09-28 18:39:38 UTC
Created attachment 79605 [details] [review]
Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC)

This patch adds a new collection column to the item table when selecting
a specific item for a hold. The column will only appear if at least
one item has a collection set.

To test, in OPAC:
- Place a specific hold on
  - a record with one or more items with collections
  - a record with one or more items without collections
- Verify the collections display correctly when they exist
- Verify the table still works as expected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 13 Owen Leonard 2018-09-28 18:39:42 UTC
Created attachment 79606 [details] [review]
Bug 20450: (follow-up) Add missing template filters

This patch adds two missing template filters as pointed out by the
template test.
Comment 14 Owen Leonard 2018-09-28 18:40:50 UTC
(In reply to Katrin Fischer from comment #10)
> strangely your follow-up doesn't apply for me

Sorry, I didn't attach my patches correctly.
Comment 15 Katrin Fischer 2018-09-30 12:07:18 UTC
Created attachment 79658 [details] [review]
Bug 20450: (follow-up) Add missing template filters

This patch adds two missing template filters as pointed out by the
template test.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2018-09-30 12:07:35 UTC
Thank you for the follow-up, Owen!
Comment 17 Martin Renvoize 2018-10-12 15:09:43 UTC
Created attachment 80516 [details] [review]
Bug 20450: Add collection to item table when placing a hold on a specific copy (Intranet)

This patch adds a new collection column to the item table when selecting
a specific item for a hold. The column will only appear if at least
one item has a collection set.

To test, in staff:
- Place a specific hold on
  - a record with one or more items with collections
  - a record with one or more items without collections
- Verify the collections display correctly when they exist
- Verify the table still works as expected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 18 Martin Renvoize 2018-10-12 15:09:47 UTC
Created attachment 80517 [details] [review]
Bug 20450: Add collection to item table when placing a hold on a specific copy (OPAC)

This patch adds a new collection column to the item table when selecting
a specific item for a hold. The column will only appear if at least
one item has a collection set.

To test, in OPAC:
- Place a specific hold on
  - a record with one or more items with collections
  - a record with one or more items without collections
- Verify the collections display correctly when they exist
- Verify the table still works as expected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 19 Martin Renvoize 2018-10-12 15:09:52 UTC
Created attachment 80518 [details] [review]
Bug 20450: (follow-up) Add missing template filters

This patch adds two missing template filters as pointed out by the
template test.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 20 Martin Renvoize 2018-10-12 15:10:52 UTC
A useful addition, code works well and no regressions found.

Passing QA
Comment 21 Nick Clemens 2018-10-27 14:26:54 UTC
Awesome work all!

Pushed to master for 18.11
Comment 22 Martin Renvoize 2018-11-08 15:24:05 UTC
Enhancement, will not be backported to 18.05.x series.